Bug 377421 - Keyboard and mouse stops working after few minutes
Keyboard and mouse stops working after few minutes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 05:17 EST by Marco Maccaferri
Modified: 2009-07-14 14:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:03:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current configuration (2.26 KB, text/plain)
2007-11-12 07:29 EST, Marco Maccaferri
no flags Details
Log file (23.45 KB, text/plain)
2007-11-12 07:30 EST, Marco Maccaferri
no flags Details
Log file generate by auto detecting (56.43 KB, text/plain)
2007-11-12 07:30 EST, Marco Maccaferri
no flags Details
dmsg result after the freeze (21.74 KB, text/plain)
2007-12-04 04:18 EST, Marco Maccaferri
no flags Details
Xorg.log for FC9, mouse freezes and it makes me want to pull out hair (16.29 KB, text/plain)
2008-10-16 21:38 EDT, josephmeiring
no flags Details

  None (edit)
Description Marco Maccaferri 2007-11-12 05:17:33 EST
Description of problem:
Keyboard and mouse attached to the PS/2 ports stops working afte few minutes of
usage.

How reproducible:
Always

Steps to Reproduce:
1. Boot
2. Use mouse and keyboard for few minutes
  
Actual results:
Both mouse and keyboards freezes.

Expected results:
I expect that the mouse and keyboard works.

Additional info:
There is nothing in the logs that indicates an error or some kind of failure,
the devices just dies. The exact same hardware worked well on FC4, FC6 and F7
with all latest updates.
Comment 1 Matěj Cepl 2007-11-12 05:26:28 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Marco Maccaferri 2007-11-12 07:29:40 EST
Created attachment 255121 [details]
Current configuration
Comment 3 Marco Maccaferri 2007-11-12 07:30:06 EST
Created attachment 255131 [details]
Log file
Comment 4 Marco Maccaferri 2007-11-12 07:30:34 EST
Created attachment 255141 [details]
Log file generate by auto detecting
Comment 5 Marco Maccaferri 2007-11-13 11:08:01 EST
Any hint ?
Comment 6 Kaj Kaloinen 2007-11-13 18:19:55 EST
I all so saw this bug in F8-test3 and F8-final. My computer don't freeze so fast
if I enable Compiz!
Comment 7 Marco Maccaferri 2007-11-15 04:32:56 EST
I don't have Compiz and I don't want to enable it at all, so I don't know if
this has some effects on my system, however I ran some other tests:

Replaced kbd and mouse drivers with F7's drivers, no effect, still freezing.
Maybe the problem is not on X but more deep, so I rebooted with F8's first
kernel 2.6.23.1-42. No effect, still freezing. I can't test with F7's kernel (I
don't even know if that would be possible).

I also replaced the mouse, just in case it was some hardware conflict, still
freezing.

The "good" news is that it seems related to the mouse usage rather than the
keyboard, if I don't use the mouse it doesn't freeze.

Hope this helps.

Comment 8 Marco Maccaferri 2007-11-15 04:35:54 EST
BTW, why don't you raise the priority a bit ? Not being able to use the keyboard
and mouse seems a bit more than "low" priority.
Comment 9 Kaj Kaloinen 2007-11-17 07:35:20 EST
This might be related in this problem, when I'm shutting down or rebooting my
computer (before freezing) I see message that irqbalance didn't shutdown properly.
Comment 10 Marco Maccaferri 2007-11-29 09:25:59 EST
Any news ? I see a number of updates but nothing seems related to this. Can we
expect a fix soon ?
Comment 11 Dave Airlie 2007-11-29 16:27:09 EST
can you reproduce this without the binary nvidia driver loaded?

like it might not be the keyboard/mouse at all your graphics card could be
crashed.. or does it still rrender stuff?
Comment 12 Marco Maccaferri 2007-11-29 17:09:24 EST
Yes, it crashes even without the nvidia drivers.

The system works perfectly, if I attach an USB key/mouse combo after the PS/2
devices stopped working, it still works perfectly and the PS/2 devices are still
dead.

I think that there is something that is crashing somewhere, but doesn't write
anything to the log. It could be a regression somewhere because with F7, with
all updates, it works without problems.
Comment 13 Dave Airlie 2007-11-29 18:16:56 EST
can you look in dmesg to see if anything is there?
Comment 14 Matěj Cepl 2007-11-30 06:06:45 EST
... or just, to make it easy, could you please attach output of dmesg command to
this bug, please?
Comment 15 Marco Maccaferri 2007-12-04 04:18:36 EST
Created attachment 276751 [details]
dmsg result after the freeze

This is the dmesg result.
As you can see there is absolutely nothing regsrding the crash.
The last line before the freeze is that 'ACPI: PCI Interrupt 0000:02:00.0'
line, the others represents the connection of the USB key/mouse combo needed
after the freeze and USB memory stick needed to copy the data out of the test
machine.
Comment 16 Marco Maccaferri 2007-12-04 04:19:19 EST
Attached.
Comment 17 Matěj Cepl 2008-06-06 04:50:02 EDT
Maybe has duplicate in bug 450249
Comment 18 josephmeiring 2008-09-07 20:48:19 EDT
Same thing happeing to me, very annoying. I have a Biostar TF8200 mobo and a Logitech LX 310 cordless keyboard/mouse combo. The mouse freezes somewhat randomly, however doom-shareware will freeze it up quite quickly. Thats been my only way of testing any modifications I've been trying. Why would doom cause a mouse to freeze? Keyboard strangely continues to work after mouse freezes. Also, I can plug in another USB mouse after the first one freezes which will work for a while then also freeze. 

Tried acpi=off on boot, to no avail. Also, usbcore.autosuspend=-1 along with several other boot optins did nothing as well. Are there some magical BIOS settings that would work? Several others on fedoraforums with similar issues. .. 

Again, nothing really in dmesg 


dmesg | grep usb

usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
usb usb1: configuration #1 chosen from 1 choice
usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: EHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 ehci_hcd
usb usb1: SerialNumber: 0000:00:02.1
usb usb2: configuration #1 chosen from 1 choice
usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb2: Product: EHCI Host Controller
usb usb2: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 ehci_hcd
usb usb2: SerialNumber: 0000:00:04.1
usb usb3: configuration #1 chosen from 1 choice
usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb3: Product: OHCI Host Controller
usb usb3: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 ohci_hcd
usb usb3: SerialNumber: 0000:00:02.0
usb usb4: configuration #1 chosen from 1 choice
usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb4: Product: OHCI Host Controller
usb usb4: Manufacturer: Linux 2.6.25.14-108.fc9.x86_64 ohci_hcd
usb usb4: SerialNumber: 0000:00:04.0
usb 3-2: new low speed USB device using ohci_hcd and address 2
usb 3-2: configuration #1 chosen from 1 choice
input: Logitech USB Receiver as /devices/pci0000:00/0000:00:02.0/usb3/3-2/3-2:1.0/input/input1
input,hidraw0: USB HID v1.10 Keyboard [Logitech USB Receiver] on usb-0000:00:02.0-2
input: Logitech USB Receiver as /devices/pci0000:00/0000:00:02.0/usb3/3-2/3-2:1.1/input/input2
input,hiddev96,hidraw1: USB HID v1.10 Mouse [Logitech USB Receiver] on usb-0000:00:02.0-2
usb 3-2: New USB device found, idVendor=046d, idProduct=c517
usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-2: Product: USB Receiver
usb 3-2: Manufacturer: Logitech



Here is xorg.conf 

Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
        ModulePath   "/usr/lib64/xorg/modules/extensions/nvidia"
        ModulePath   "/usr/lib64/xorg/modules"
EndSection

Section "ServerFlags"
        Option      "AIGLX" "on"
EndSection

Section "InputDevice"

# keyboard added by rhpxl
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "InputDevice"
        Identifier  "Configured Mouse"
        Driver      "mouse"
        Option      "Emulate3Buttons" "false"
        Option      "ZAxisMapping" "4 5"
        Option      "Buttons" "5"
        Option      "CorePointer"
#       Option      "Device" "/dev/input/mice"
        Option      "Protocol" "ExplorerPS/2"
        Option      "Resolution" "800"
EndSection

Section "Monitor"

#       VertRefresh  31.5 - 74.7
        Identifier   "Monitor0"
        ModelName    "LCD Panel 800x600"
        HorizSync    31.5 - 74.7
        VertRefresh  56.0 - 74.7
        Option      "dpms"
EndSection

Section "Device"

#       Driver      "vesa"
        Identifier  "Videocard0"
        Driver      "nvidia"
        Option      "AddARGBGLXVisuals" "True"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection

Section "Extensions"
        Option      "Composite" "Enable"
EndSection
Comment 19 Peter Hutterer 2008-09-16 03:01:42 EDT
(In reply to comment #12)
> The system works perfectly, if I attach an USB key/mouse combo after the PS/2
> devices stopped working, it still works perfectly and the PS/2 devices are still
> dead.

this comment indicates a kernel issue. The X server in F8 doesn't differ between physical devices (not with your xorg.conf anyway), so if some stop and others work that's a sign that the kernel stops sending events to /dev/input/mice or the keyboard.

(In reply to comment #18)
> Same thing happeing to me, very annoying. I have a Biostar TF8200 mobo and a
> Logitech LX 310 cordless keyboard/mouse combo. The mouse freezes somewhat
> randomly, however doom-shareware will freeze it up quite quickly. Thats been my
> only way of testing any modifications I've been trying. Why would doom cause a
> mouse to freeze? Keyboard strangely continues to work after mouse freezes.
> Also, I can plug in another USB mouse after the first one freezes which will
> work for a while then also freeze. 

Is that with F8 as well? If so, see above. If it's F9 or rawhide, please attach your Xorg.log.
Comment 20 josephmeiring 2008-10-16 21:38:30 EDT
Created attachment 320624 [details]
Xorg.log for FC9, mouse freezes and it makes me want to pull out hair

Its a fedora 9 box

2.6.25.14-108.fc9.x86_64 #1 SMP Mon Aug 4 13:46:35 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

Cheers
Comment 21 Peter Hutterer 2008-10-17 00:08:16 EDT
By "freeze", do you mean it stops for a while and then continues, or it just dies?

(II) config/hal: Adding input device Logitech USB Receiver
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event1"
(II) Logitech USB Receiver: Found x and y relative axes
(II) Logitech USB Receiver: Found mouse buttons
(II) Logitech USB Receiver: Configuring as mouse
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE)
(EE) Read error: No such device

did you unplug the device here? Why did it get a read error? If you didn't unplug the device, we have the culprit.

(II) config/hal: removing device Logitech USB Receiver
(WW) Logitech USB Receiver: Release failed (No such device)
(II) Logitech USB Receiver: Close
(II) UnloadModule: "evdev"
(II) config/hal: Adding input device Logitech USB Receiver
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event1"
(II) Logitech USB Receiver: Found x and y relative axes
(II) Logitech USB Receiver: Found mouse buttons
(II) Logitech USB Receiver: Configuring as mouse
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE)

It should have been working at this point in time again. Is that correct?
Comment 22 josephmeiring 2008-10-17 12:35:30 EDT
It just flat dies, the mouse at least, the keyboard which shares the dongle continues to work. 

Nope, I have not unplugged the dongle for the keyboard/mouse combo in a while, although I'm not sure if these are refences to the separate USB mouse, or the mouse/keyboard combo in Xorg.log. What is this read error al about? 

I have another Logitech USB mouse which I plug in when the first one goes. Thats what the last XINPUT line is indicating. Eventually that one seems to freeze as well, at which point I must reboot.
Comment 23 Peter Hutterer 2008-10-19 19:37:41 EDT
This sounds like a kernel or hw bug.

Read error in X means that we can't read of the device file anymore. In this case because the device has disappeared.

Reassigning to kernel.
Comment 24 cadence 2009-05-27 16:33:45 EDT
I have the same problem in Fedora 11 pre-release with Logitech PS2 wireless mouse and keyboard.  Will installing a USB mouse and keyboard solve this problem or do I need to await a fix (hopefully in the Fedora 11 full release)?
Comment 25 Bug Zapper 2009-06-09 19:10:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Troels Kofoed Jacobsen 2009-06-15 16:11:57 EDT
I can reproduce this with Fedora 11. PS/2 keyboard and mouse stops working, but USB mouse is unaffected. 
Nothing to see in the logs (except I had a kernel oops with my network card, but it seems unrelated).

I had this exact issue with Ubuntu a couple of years ago, after which i switched dist... I can't find the bug report right now, but will try to look again. Maybe they found a solution.
Comment 27 Edward Rudd 2009-06-29 14:07:05 EDT
In my case the USB mouse keeps "stopping" on me.  happens randomly (sometimes 5 minutes after logging on from clean boot, other times 15-20 minutes of using the mouse).  the USB keyboard still works, however.  And I plugged in a USB to PS/2 adapter in the mouse and it's working again and hasn't locked up YET.

System info:
Mobo: Asus M4N78 PRO Motherboard w/ AMD Phenom quad core CPU
Mouse: Logitech Cordless Trrackman wheel (same mouse I've been using for approx 4 years here).
Keyboard: Currently a Dell USB only keyboard.

Fedora 11 x86_64 (yes upgraded from 3->4->5->6->7->9->10->11 )
Comment 28 Bug Zapper 2009-07-14 14:03:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.